- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaGaplessPlaybackControl
- Qt 5.3.2 Reference Documentation

# QMediaGaplessPlaybackControl Class

The QMediaGaplessPlaybackControl class provides access to the gapless playback related control of a QMediaService. More...

Header: | `#include <QMediaGaplessPlaybackControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaGaplessPlaybackControl()
virtual qreal | crossfadeTime() const = 0
virtual bool | isCrossfadeSupported() const = 0
virtual QMediaContent | nextMedia() const = 0
virtual void | setCrossfadeTime(qreal crossfadeTime) = 0
virtual void | setNextMedia(const QMediaContent & media) = 0

## Signals

void | advancedToNextMedia()
void | crossfadeTimeChanged(qreal crossfadeTime)
void | nextMediaChanged(const QMediaContent & media)

## Protected Functions

| QMediaGaplessPlaybackControl(QObject * parent = 0)

## Macros

| QMediaGaplessPlaybackControl_iid

## Detailed Description

The QMediaGaplessPlaybackControl class provides access to the gapless playback related control of a QMediaService.

If a QMediaService supports gapless playback it will implement QMediaGaplessPlaybackControl. This control provides a means to set the next media or crossfade time for smooth transitions between tracks.

The functionality provided by this control is exposed to application code through the QMediaPlayer class.

The interface name of QMediaGaplessPlaybackControl is `org.qt-project.qt.mediagaplessplaybackcontrol/5.0` as defined in QMediaGaplessPlaybackControl_iid.

See also QMediaService::requestControl() and QMediaPlayer.

## Member Function Documentation

### QMediaGaplessPlaybackControl::QMediaGaplessPlaybackControl(QObject * parent = 0)`[protected]`

Constructs a new gapless playback control with the given parent.

### QMediaGaplessPlaybackControl::~QMediaGaplessPlaybackControl()`[virtual]`

Destroys a gapless playback control.

### void QMediaGaplessPlaybackControl::advancedToNextMedia()`[signal]`

Signals when the player advances to the next media (the content of next media will be cleared).

See also nextMedia().

### qreal QMediaGaplessPlaybackControl::crossfadeTime() const`[pure virtual]`

Returns current crossfade time in seconds.

See also setCrossfadeTime().

### void QMediaGaplessPlaybackControl::crossfadeTimeChanged(qreal crossfadeTime)`[signal]`

Signals that the crossfadeTime has changed.

See also crossfadeTime().

### bool QMediaGaplessPlaybackControl::isCrossfadeSupported() const`[pure virtual]`

Indicates whether crossfading is supported or not. If crossfading is not supported, setCrossfadeTime() will be ignored and crossfadeTime() will always return 0.

### QMediaContent QMediaGaplessPlaybackControl::nextMedia() const`[pure virtual]`

Returns the content of the next media

See also setNextMedia().

### void QMediaGaplessPlaybackControl::nextMediaChanged(const QMediaContent & media)`[signal]`

Signals that the next media has changed (either explicitly via setNextMedia() or when the player clears the next media while advancing to it).

See also nextMedia().

### void QMediaGaplessPlaybackControl::setCrossfadeTime(qreal crossfadeTime)`[pure virtual]`

Sets the crossfadeTime in seconds for smooth transition.

Positive value means how much time it will take for the next media to transit from silent to full volume and vice versa for current one. So both current and the next one will be playing during this period of time.

A crossfade time of zero or negative will result in gapless playback (suitable for some continuous media).

See also crossfadeTime().

### void QMediaGaplessPlaybackControl::setNextMedia(const QMediaContent & media)`[pure virtual]`

Sets the next media for smooth transition.

See also nextMedia().

## Macro Documentation

### QMediaGaplessPlaybackControl_iid

`org.qt-project.qt.mediagaplessplaybackcontrol/5.0`

Defines the interface name of the QMediaGaplessPlaybackControl class.